/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   push_swap.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tmaze <tmaze@student.42.fr>                +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2019/03/03 11:41:49 by tmaze             #+#    #+#             */
/*   Updated: 2019/03/19 15:24:24 by tmaze            ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "push_swap.h"

void	print_ops(t_psdata *data)
{
	t_list	*it;

	it = data->op;
	while (it)
	{
		ft_putendl(it->content);
		it = it->next;
	}
}

int		main(int ac, char **av)
{
	t_psdata	data;

	ps_initdata(&data);
	if (!get_params(&data, ac, av, 0))
		return (0);
	if (data.a == NULL)
		ft_putendl_fd("Error", 2);
	if (data.size_a == 3)
		sortfor3(&data);
	else if (data.size_a == 5)
		sortfor5(&data);
	if (data.size_a != 0 && data.size_a != 3 && data.size_a != 5)
	{
		mark_groups(&data);
		if (sort(&data) == 0)
			ft_putendl_fd("Error", 2);
		else
		{
			clean_op(&data);
			print_ops(&data);
		}
	}
	ps_stkclean(&data);
	return (0);
}
